 module.exports = function(sequelize, DataTypes) {
	var User = sequelize.define('User', {
        id_facebook: DataTypes.STRING(255),
		name : DataTypes.STRING(255),
        email : DataTypes.STRING(255),
		first_name : DataTypes.STRING(255),
		last_name : DataTypes.STRING(255),
		link : DataTypes.STRING(255),
		gender : DataTypes.STRING(255),
		timezone : DataTypes.INTEGER,
		locale : DataTypes.STRING(255),
		birthday : DataTypes.STRING(255),
		friends : DataTypes.INTEGER,
        coins: {type:DataTypes.INTEGER,defaultValue: 0}
	}, {
		classMethods : {
			associate : function(models) {
                User.hasMany(models.Photo, {as:'images',foreignKey:'user'})
                User.hasMany(models.BasketLine, {as:'basketline',foreignKey:'user'})
                User.hasMany(models.SaleLine, {as:'saleline',foreignKey:'user'})
			}
		}
	});
	return User;
};