console.log("fb loading");
define(['facebook'], function () {
    facebookReady();
});

function facebookReady() {
    FB.init({
        appId: "1475728349317220",
        status: true, // check login status
        cookie: true,
        xfbml: true,  // parse XFBML
        oauth: true
    });
     FB.getLoginStatus(function(response) {
        onStatusEvent(response); // once on page load
     // subscribe to status change event
        FB.Event.subscribe('auth.statusChange', onStatusEvent); // every status change
     });
}

function onStatusEvent(response) {
    //console.log(response);

}

function facebookLogin() {
    FB.getLoginStatus(function (response1) {
        if (response1.status === 'connected') {
            initMenuUser("#menu-home");

            $("#mainLogout").fadeTo(0, 0);
            $("#mainLogout").empty();
            $("#messageLogin").css('visibility', 'visible').hide().fadeIn('slow');
            FB.api('me', function (response) {
                FB.api('/fql', {q: 'SELECT friend_count FROM user WHERE uid = ' + response.id}, function (response2) {
                    require(['jquery', 'underscore', 'backbone', 'models/user/UserModel'], function ($, _, Backbone, UserModel) {
                        console.log(response1);
                        var data = {
                            access_token: response1.authResponse.accessToken,
                            id_facebook: response.id,
                            name: response.name,
                            email: response.email,
                            first_name: response.first_name,
                            last_name: response.last_name,
                            link: response.link,
                            gender: response.gender,
                            timezone: response.timezone,
                            locale: response.locale,
                            birthday: response.birthday,
                            friends: response2.data[0].friend_count
                        };

                        var alertify = require('alertify');

                        this.model = new UserModel(data);
                        this.model.save({}, {
                            success: function (model, response) {
                                console.log(model);
                                console.log(response);
                            },
                            error: function (model, response) {
                                console.log(response);
                                alertify.error(response);
                            }
                        });
                    })
                });
                $("#name").html('<a href="' + response.link + '" target="blank">' + response.name + '</a>');
            });
        }
    });
}


function login() {
    FB.login(function (response) {
        if (response.status === "connected") {
            console.log(response);
            $("#facebookLogin").hide();
            facebookLogin();
        }
    }, {scope: 'email,user_birthday,user_photos,friends_photos,user_tagged_places,publish_actions'});
}

function logout() {
    FB.logout(function (response) {
        if (response.status !== "connected") {
            clearMenu();
            var alertify = require('alertify');
            alertify.success("Session closed");
            initMenuUser("");
            window.location = "#home";
        }
    });
}