define([
    'underscore',
    'backbone'
], function (_, Backbone) {

    return Backbone.Model.extend({

        defaults: {
            id:null,
            name: null,
            type: null,
            street: null,
            city: null,
            country: null,
            postcode: null,
            email: null,
            password: null
        },
        initialize: function (data) {
            for(key in data)
                this[key]=data[key];
        },
        urlRoot: function () {
            return '/company/profile';
        },
        parse: function (res) {
            // because of jsonp
            return res.data;
        }
    });
});
