define([
    'underscore',
    'backbone'
], function (_, Backbone) {

    return Backbone.Model.extend({

        defaults: {
            "source" : null,
            "logo":null
        },
        initialize: function (data) {
            for (key in data)
                this[key] = data[key];
        },
        urlRoot: function () {
            return '/company/photos';
        },
        parse: function (res) {
            // because of jsonp
            return res.data;
        }
    });
});