define([
        'jquery', 'jquerycookie', 'underscore', 'backbone',
        'main2','alertify',
        'text!templates/company/baseTemplate.html',
        'models/company/PhotoModel',
        'views/company/CompanyPhotosListView'
    ],
    function ($, cookie, _, Backbone, main,alertify, template, PhotoModel,CompanyPhotosListView) {

        return Backbone.View.extend({
            el: $("#content"),
            initialize: function () {
                $(this.el).unbind("click");
                var that = this;

                that.collection = new PhotoModel([]);
                that.collection.fetch({
                    success: function (collection, response) {
                        console.log(response);
                        that.collection = response;
                        that.render2();
                    },
                    error: function (collection, response) {
                        console.log("ERROR");
                    } });
            },
            render2: function () {
                if (!$.cookie("photopotterAuth"))window.location = "/#company";
                else {
                    $("#content").html(template);
                    initMenuCompany("#menu-photos");
                    var photos;
                    //Perque no carregui valors unknown
                    if (this.collection.length>0) photos = new CompanyPhotosListView({ collection: this.collection});
                    else photos = new CompanyPhotosListView({ collection: []});
                    photos.render();
                }
            }
        });
    });