define([
        'jquery', 'jquerycookie', 'underscore', 'backbone',
        'main2', 'alertify', 'jqueryts', 'jqueryl',
        'text!templates/company/baseTemplate.html',
        'models/company/SalesModel',
        'views/company/CompanySalesListView'
    ],
    function ($, cookie, _, Backbone, main, alertify, jqueryts, jqueryl, template, SalesModel, CompanySalesListView) {

        return Backbone.View.extend({
            el: $("#content"),
            initialize: function () {
                $(this.el).unbind("click");
                var that = this;
                that.collection = new SalesModel([]);
                that.collection.fetch({
                    success: function (collection, response) {
                        console.log(response);
                        that.collection = response;
                        that.render2();
                    },
                    error: function (collection, response) {
                        console.log(response)
                        console.log("ERROR");
                    }});
            },
            events: {"click .checkbox": "checkbox"},
            checkbox: function (e) {
                var committed = "0";
                if ($(getTarget(e)).is(':checked')) committed = "1";
                this.model = new SalesModel({committed: committed, id: getTarget(e).id});
                this.model.save({}, {
                    success: function (model, response) {
                        console.log(response);
                    },
                    error: function (model, response) {
                        console.log("ERROR");
                    }});
            },
            render2: function () {
                if (!$.cookie("photopotterAuth"))window.location = "/#company";
                else {
                    $("#content").html(template);
                    initMenuCompany("#menu-sales");
                    var sales;
                    //Perque no carregui valors unknown
                    if (this.collection) sales = new CompanySalesListView({ collection: this.collection});
                    else sales = new CompanySalesListView({ collection: []});
                    sales.render();

                }
            }
        });
    });
