define([
    'jquery',
    'underscore',
    'backbone',
    'main2', 'alertify',
    'text!templates/user/albumsTemplate.html',
    'views/user/UserAlbumListView',
    'models/user/UserModel'
], function ($, _, Backbone, main2, alertify, template, UserAlbumListView, UserModel) {

    return Backbone.View.extend({
        el: $("#coins"),

        initialize: function (attrs) {
            var that = this;
            $(this.el).unbind("click");

            FB.getLoginStatus(function (response) {
                if (response.status === 'connected') {
                    var user = new UserModel({id: response.authResponse.accessToken});
                    user.fetch({
                        success: function (user, response) {
                            console.log(response);
                            var responseObj = response;
                            that.coins = responseObj.coins;
                            that.friends = responseObj.friends;
                            that.render2();
                        },
                        error: function (user, response) {
                            console.log(response)
                            console.log("ERROR");
                        }});
                }
            });
        },
        render2: function () {
            $("#coins").html(this.coins);
            $("#friends").html(this.friends);
        }
    });
});
