module.exports = function(sequelize, DataTypes) {
	var Company = sequelize.define('Company', {
		name : DataTypes.STRING(255),
		type : DataTypes.STRING(255),
		street : DataTypes.STRING(255),
		city : DataTypes.STRING(255),
		country : DataTypes.STRING(255),
		postcode : DataTypes.INTEGER,
		email : DataTypes.STRING(255),
		password : DataTypes.STRING(255)
	}, {
		classMethods : {
			associate : function(models) {
                Company.hasMany(models.Product, {as:'products',foreignKey:'companyid'});
                Company.hasMany(models.Logo, {as:'images',foreignKey:'companyid'});
                Company.hasMany(models.SaleLine, {as:'saleline',foreignKey:'company'})
			}
		}
	});
	return Company;
};