module.exports = function(sequelize, DataTypes) {
	var SaleLine = sequelize.define('SaleLine', {
		quantity : DataTypes.INTEGER,
        description: DataTypes.STRING(255),
        committed: {type:DataTypes.INTEGER,defaultValue: 0}
	}, {
		classMethods : {
			associate : function(models) {
                SaleLine.belongsTo(models.Product, {as:'product2',foreignKey:'product'});
                SaleLine.belongsTo(models.User, {as:'user2',foreignKey:'user'});
               }
		}
	});
	return SaleLine;
};