// Author: Thomas Davis <thomasalwyndavis@gmail.com>
// Filename: main.js
console.log("main");
// Require.js allows us to configure shortcut alias
// Their usage will become more apparent futher along in the tutorial.
require.config({
    paths: {
    jquery: 'libs/jquery/jquery-min',
    jquerycookie: 'libs/jquery/jquery.cookie',
    underscore: 'libs/underscore/underscore-min',
    backbone: 'libs/backbone/backbone-min',
    templates: '../templates',
    facebook: '//connect.facebook.net/en_US/all',

    alertify: 'libs/alertify/alertify.min',
    modernizr: 'libs/modernizr',
    modernizrcustom: 'libs/ResponsiveRetinaReadyMenu/js/modernizr.custom',
    'backbonemfu': 'libs/backbone/backbone-model-file-upload',
    jqueryfbp: 'libs/jquery/jquery.fancybox.pack',
    jqueryfbm: 'libs/jquery/jquery.fancybox-media',
    jqueryts: 'libs/jquery.tablesorter/jquery.tablesorter.min',
    jqueryl: 'libs/jquery.tablesorter/jquery-latest',
    jqueryiso: 'libs/jquery/jquery.isotope',
    bootstrap: 'libs/bootstrap.min',
    main2: 'libs/main',
    //modernizr: 'libs/modernizr',

    plugins: 'libs/plugins',
   // supersized: 'libs/supersized.3.2.7.min',
    waypoints: 'libs/waypoints',
    waypointss: 'libs/waypoints-sticky'

    //placeholder: 'libs/placeholder'
  },
    shim: {
        'facebook' : {
            deps: ['jquery', 'underscore', 'backbone'],
            exports: 'fb'
        } ,//Dependencia: diu que main2 necessita jquery x funcionar
        "jqueryfbp": {deps: ['jquery', 'underscore', 'backbone']} , //Dependencia: diu que main2 necessita jquery x funcionar
        "jqueryfbm": {deps: ['jquery', 'underscore', 'backbone']} ,
        "jqueryiso": {deps: ['jquery', 'underscore', 'backbone']} ,
        'backbonemfu': {
            deps: ['jquery', 'underscore', 'backbone']
            //,
            //exports: 'Backbone'
        }
    }

});



require([
  // Load our app module and pass it to our definition function
  'app'

], function(App){
  // The "app" dependency is passed in as "App"
  // Again, the other dependencies passed in are not "AMD" therefore don't pass a parameter to this function
  App.initialize();
});
