define([
        'jquery', 'jquerycookie', 'underscore', 'backbone',
        'main2',
        'text!templates/company/baseTemplate.html',
        'models/company/ProductImageModel',
        'views/company/CompanyProductsPhotosListView'
    ],
    function ($, cookie, _, Backbone, main, template, ProductImageModel, CompanyProductsPhotosListView) {

        return Backbone.View.extend({
            el: $("#photos"),
            initialize: function (id) {
                $(this.el).unbind("click");
                var that = this;

                that.collection = new ProductImageModel({productid: id}); //product id
                that.collection.fetch({
                    success: function (model, response) {
                        console.log(response);
                        that.collection = response;
                        that.render2();
                    },
                    error: function (model, response) {
                        console.log("ERROR");
                    }});

            },
            render2: function () {
                if (!$.cookie("photopotterAuth"))window.location = "/#company";
                else {

                    initMenuCompany("#menu-products");

                    var photos;
                    //Perque no carregui valors unknown
                    if (this.collection.length>0) photos = new CompanyProductsPhotosListView({ collection: this.collection});
                    else photos = new CompanyProductsPhotosListView({ collection: []});
                    photos.render();
                }
            }
        });
    });
